> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recording transcript

> Retrieve a recording transcript.



## OpenAPI

````yaml GET /v1/recordings/{recordingId}/transcript
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/recordings/{recordingId}/transcript:
    get:
      description: Retrieve a recording transcript.
      operationId: getV1RecordingsByRecordingIdTranscript
      parameters:
        - in: path
          name: recordingId
          schema:
            type: string
            description: Recording identifier
          required: true
        - in: query
          name: lang
          schema:
            type: string
            description: >-
              A 2-letters language code, to get a specific transcript or
              translation. If unset, the original transcript is returned
            example: fr
        - in: query
          name: format
          schema:
            type: string
            enum:
              - json
              - text
            default: json
            description: >-
              The transcript is returned in JSON format by default. Use "text"
              to get a human readable representation
      responses:
        '200':
          description: Transcript was successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      transcript:
                        type: object
                        properties:
                          segments:
                            type: array
                            items:
                              type: object
                              properties:
                                startedAt:
                                  type: number
                                endedAt:
                                  type: number
                                speaker:
                                  type: string
                                text:
                                  type: string
                                languageCode:
                                  type: string
                                words:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      word:
                                        type: string
                                      startedAt:
                                        type: number
                                      endedAt:
                                        type: number
                                    required:
                                      - word
                                      - startedAt
                                      - endedAt
                              required:
                                - startedAt
                                - endedAt
                                - text
                          languageCode:
                            type: string
                        required:
                          - segments
                    required:
                      - transcript
                required:
                  - result
              example:
                result:
                  segments:
                    - endedAt: 137.5
                      languageCode: en
                      speaker: speaker_1
                      startedAt: 136.1
                      text: Hello there!
                      words:
                        - endedAt: 136.8
                          startedAt: 136.1
                          word: Hello
                        - endedAt: 137.5
                          startedAt: 137.1
                          word: there!
                  languageCode: en
            text/plain:
              schema:
                type: string
              example: '02:17 speaker_1: Hello there!'
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````